<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net6.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
		<Platforms>AnyCPU;x64</Platforms>
	</PropertyGroup>

	<ItemGroup>
		<ProjectReference Include="..\SecuritySystemContracts\SecuritySystemContracts.csproj" />
		<ProjectReference Include="..\SecuritySystemDataModels\SecuritySystemDataModels.csproj" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.16" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="7.0.16" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.16">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
	</ItemGroup>

	<Target Name="PostBuild" AfterTargets="PostBuildEvent">
		<Exec Command="copy /Y &quot;$(TargetDir)*.dll&quot; &quot;$(SolutionDir)ImplementationExtensions\*.dll&quot;" />
	</Target>

</Project>
